Skip to main content
GET
/
dr
/
v1
/
appointment
/
{appointment_id}
Get Appointment Details
curl --request GET \
  --url https://api.eka.care/dr/v1/appointment/{appointment_id} \
  --header 'auth: <auth>'
import requests

url = "https://api.eka.care/dr/v1/appointment/{appointment_id}"

headers = {"auth": "<auth>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {auth: '<auth>'}};

fetch('https://api.eka.care/dr/v1/appointment/{appointment_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "appointment_id": "{{eka_appointment_id}}",
  "partner_appointment_id": "{{partner_appointment_id}}",
  "created_at": 1730189586,
  "doctor_id": "{{doctor_id}}",
  "clinic_id": "{{clinic_id}}",
  "patient_id": "{{patient_id}}",
  "partner_doctor_id": "{{partner_doctor_id}}",
  "partner_clinic_id": "{{partner_clinic_id}}",
  "partner_patient_id": "{{partner_patient_id}}",
  "status": "CM",
  "mode": "in_clinic",
  "start_time": 1730189586,
  "end_time": 1730189586,
  "payment": {
    "payment_id": null,
    "payment_status": null,
    "amount": null
  },
  "prescription_id": "{{prescription_id}}",
  "service": {
    "created_at": 1730189586,
    "mode": [
      "INCLINIC"
    ],
    "price": null,
    "post_pay": false,
    "service_name": "consultation",
    "appointment_type": "REGULAR",
    "allow_patient_booking": true
  },
  "prescription_url": "https://prescription-store-s3.eka.care/P-DW-1234.pdf",
  "custom_attributes": {
    "label": [
      "vitals_submitted"
    ]
  },
  "partner_meta": {
    "key1": "value1"
  }
}
{
"error": {
"code": "INVALID_REQUEST_PARAMETERS",
"message": "The request contains invalid parameters"
}
}
{
"error": {
"code": "ACCESS_DENIED",
"message": "Access denied. You do not have permission to view this appointment."
}
}
{
"error": {
"code": "NOT_FOUND",
"message": "Appointment not found. Please check the provided appointment ID."
}
}
{
"error": {
"code": "SERVER_ERROR",
"message": "An unexpected error occurred while processing your request. Please try again later."
}
}

Headers

auth
string
required
Example:

"auth"

Path Parameters

appointment_id
string
required

Query Parameters

partner_id
string

If set to 1 then appointment_id in path parameter should be partner_appointment_id else eka apppointment_id

Example:

"1"

Response

OK

appointment_id
string
created_at
integer
doctor_id
string
patient_id
string
clinic_id
string
channel
string
status
enum<string>
Available options:
BK,
OG,
CM,
CMNP,
CN,
CND,
CNS
Example:

"BK"

mode
enum<string>
Available options:
tele,
in_clinic
Example:

"in_clinic"

start_time
integer
end_time
integer
payment
object
prescription_id
string
service
object
prescription_url
string
custom_attributes
object
partner_meta
object